import { MediaWiki } from './token';
import type { StreamParser } from '@codemirror/language';
import type { State, Tokenizer } from './token';
declare class ExtendedMediaWiki extends MediaWiki {
    'text/nowiki'(): StreamParser<Record<string, never>>;
    inReferences(tag: string, comment?: boolean): Tokenizer<string>;
    'text/references'(tags: string[]): StreamParser<State>;
    'text/choose'(tags: string[]): StreamParser<State>;
    'text/combobox'(tags: string[]): StreamParser<State>;
    get inInputbox(): Tokenizer<string>;
    'text/inputbox'(): StreamParser<{
        tokenize: Tokenizer;
        stack: Tokenizer[];
    }>;
    inGallery(section?: boolean): Tokenizer;
    'text/gallery'(tags: string[]): StreamParser<State>;
}
export default ExtendedMediaWiki;
